[DATA]

train_data=/home/kalista.wayt/subsystem_data/chunkall/train1/whitened_train_features_H1:ISI_balanced.npy
train_labels=/home/kalista.wayt/subsystem_data/chunkall/train1/labels_80per_train_chunkall_balanced.npy
test_data=/home/kalista.wayt/subsystem_data/chunkall/test/whitened_train_features_H1:ISI.npy
test_labels=/home/kalista.wayt/subsystem_data/chunkall/test/labels_20per_test_chunkall.npy


[OUTPUT]
project_name= hyperparameter_testing_subsystemISI_layers1
tensorboard=tensorboard_subsystemISI_layers1


[HYPERPARAMS]
batch_size_min=16
batch_size_max=512
batch_size_steps=16
nodes_min=2
nodes_max=2140
nodes_step=107
dropout_min=0.0
dropout_max=0.8
dropout_step=0.1
activation_choices=['elu','gelu', 'linear','relu', 'selu', 'softplus', 'softsign', 'swish', 'tanh']
optimizer_choices=['SGD', 'RMSprop', 'Adam', 'Adadelta', 'Adagrad', 'Adamax', 'Nadam']
lr_choices=[0.01, 0.001, 0.0001]
regularizer_weight_choices= [0.01, 0.001, 0.0001]
regularizer_choices=['L1', 'L2', 'l1_l2']


[MODEL]
max_epochs=500
factor=3
num_layers=1
kt_objective=val_loss
early_stopping=val_loss
patience=20
epochs=500
hyperband_iterations=3
